Bug 459777 - Reproducible X crash with xine and gedit
Reproducible X crash with xine and gedit
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker F10DesktopBlocker
  Show dependency treegraph
 
Reported: 2008-08-22 05:17 EDT by Mamoru TASAKA
Modified: 2008-10-24 05:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-24 05:23:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf (3.23 KB, text/plain)
2008-08-22 05:17 EDT, Mamoru TASAKA
no flags Details
Xorg.0.log when crash occur (28.37 KB, text/plain)
2008-08-22 05:18 EDT, Mamoru TASAKA
no flags Details
Xorg.0.log when crash occures, with xorg.conf removed (30.64 KB, text/plain)
2008-08-22 05:19 EDT, Mamoru TASAKA
no flags Details
X crash log with 2.4.2-1.fc10 (27.63 KB, text/plain)
2008-08-27 09:56 EDT, Mamoru TASAKA
no flags Details
Xorg.0.log with 2.4.2-3.fc10 (158.28 KB, text/plain)
2008-09-03 07:48 EDT, Mamoru TASAKA
no flags Details
The recent Xorg.0.log when X crashes (75.21 KB, text/plain)
2008-09-11 04:01 EDT, Mamoru TASAKA
no flags Details
Xorg.0.log again (220.20 KB, text/plain)
2008-09-12 00:05 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Mamoru TASAKA 2008-08-22 05:17:12 EDT
Created attachment 314785 [details]
xorg.conf

Description of problem:
When xine is lauching gedit frequently crashes X.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.4.0-2.fc10
xine-0.99.5-1.lvn8.i386
xine-lib-1.1.12-3.fc10.i386
gedit-2.23.3-2.fc10.i386

How reproducible:
Almost 100%

Steps to Reproduce:
1. Start GNOME
2. execute $ xine --root --loop some_file.mp4
3. execute $ gedit some_file.spec
  
Actual results:
X window gets totally black, however still I can hear the sound correctly

Expected results:
No X crash

Additional info:
I don't see this issue with xorg-x11-drv-i810-2.3.2-2.fc9
Comment 1 Mamoru TASAKA 2008-08-22 05:18:12 EDT
Created attachment 314786 [details]
Xorg.0.log when crash occur
Comment 2 Mamoru TASAKA 2008-08-22 05:19:03 EDT
Created attachment 314787 [details]
Xorg.0.log when crash occures, with xorg.conf removed
Comment 3 Mamoru TASAKA 2008-08-27 09:56:54 EDT
Created attachment 315096 [details]
X crash log with 2.4.2-1.fc10

2.4.2-1.fc10 is still under this issue.
Comment 4 Mamoru TASAKA 2008-09-03 07:48:20 EDT
Created attachment 315635 [details]
Xorg.0.log with 2.4.2-3.fc10

Xorg.0.log with 2.4.2-3.fc10 (still crashes)
Comment 5 Mamoru TASAKA 2008-09-11 04:01:58 EDT
Created attachment 316403 [details]
The recent Xorg.0.log when X crashes

Now this bug is 15% (?) reproducible with

xorg-x11-drv-i810-2.4.2-7.fc10.i386
xorg-x11-drv-synaptics-0.15.1-1.fc10.i386
xorg-x11-server-Xorg-1.5.0-1.fc10.i386
mesa-libGL-7.1-0.37.fc10.i386
Comment 6 Mamoru TASAKA 2008-09-12 00:05:31 EDT
Created attachment 316518 [details]
Xorg.0.log again

xorg-x11-drv-i810-2.4.2-8.fc10.i386
xorg-x11-server-Xorg-1.5.0-6.fc10.i386
Comment 7 Matthias Clasen 2008-10-23 14:58:36 EDT
What is the state of this bug ?

It has been moved onto F10DesktopBlocker a long time ago, but has not seen any action. Is it still relevant ?
Comment 8 Mamoru TASAKA 2008-10-24 05:23:50 EDT
Seems good for now. I will re-report it is this issue reappears.
Thank you.

Note You need to log in before you can comment on or make changes to this bug.